org.apache.tiles.request.portlet.delegate

## Class MimeResponseDelegate

- java.lang.Object
- - org.apache.tiles.request.portlet.delegate.MimeResponseDelegate

- All Implemented Interfaces:
    ResponseDelegate

      public class MimeResponseDelegate
      extends Object
      implements ResponseDelegate

  Response delegate in case of `MimeResponse`.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MimeResponseDelegate(javax.portlet.MimeResponse response)` Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `OutputStream` | `getOutputStream()` Returns the output stream.
    `PrintWriter` | `getPrintWriter()` Returns the print writer.
    `Writer` | `getWriter()` Returns the writer.
    `boolean` | `isResponseCommitted()` Checks if the response is committed.
    `void` | `setContentType(String contentType)` Sets the content type of the response.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MimeResponseDelegate

          public MimeResponseDelegate(javax.portlet.MimeResponse response)

      Constructor.
      Parameters:
        `response` - The response.

  - ### Method Detail

    - #### getOutputStream

          public OutputStream getOutputStream()
                                       throws IOException

      Returns the output stream.
      Specified by:
        `getOutputStream` in interface `ResponseDelegate`
      Returns:
        The output stream.
      Throws:
        `IOException` - If the underlying response causes a problem.

    - #### getPrintWriter

          public PrintWriter getPrintWriter()
                                     throws IOException

      Returns the print writer.
      Specified by:
        `getPrintWriter` in interface `ResponseDelegate`
      Returns:
        The print writer.
      Throws:
        `IOException` - If the underlying response causes a problem.

    - #### getWriter

          public Writer getWriter()
                           throws IOException

      Returns the writer.
      Specified by:
        `getWriter` in interface `ResponseDelegate`
      Returns:
        The writer.
      Throws:
        `IOException` - If the underlying response causes a problem.

    - #### isResponseCommitted

          public boolean isResponseCommitted()

      Checks if the response is committed.
      Specified by:
        `isResponseCommitted` in interface `ResponseDelegate`
      Returns:
        `true` if the response is committed.

    - #### setContentType

          public void setContentType(String contentType)

      Sets the content type of the response.
      Specified by:
        `setContentType` in interface `ResponseDelegate`
      Parameters:
        `contentType` - The content type.

Copyright © 2000–2025 Apache Software Foundation. All rights reserved.